Bug 1212456 - Upgrade python-mock to 1.0.1
Summary: Upgrade python-mock to 1.0.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: python-mock
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sandro Bonazzola
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On: 1213795
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-16 12:50 UTC by Sandro Bonazzola
Modified: 2016-03-09 20:13 UTC (History)
15 users (show)

Fixed In Version: python-mock-1.0.1-5.el7ev
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
This update rebases these package(s) to version 1.0.1 and provides feature parity with unittest.mock in Python 3.3 and several bug fixes. A full list of the changes is available here: http://www.voidspace.org.uk/python/mock/changelog.html#version-1-0-1
Clone Of: 1112534
Environment:
Last Closed: 2016-03-09 20:13:13 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0394 normal SHIPPED_LIVE python-mock bug fix and enhancement update 2016-03-10 00:39:17 UTC

Description Sandro Bonazzola 2015-04-16 12:50:11 UTC
+++ This bug was initially created as a clone of Bug #1112534 +++

ovirt-hosted-engine-ha requires python-mock as BuildRequires.

Comment 1 Sandro Bonazzola 2015-04-16 12:55:24 UTC
While rebuilding for 3.6, rebase on 1.0.1 already in EPEL: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=578896

Comment 4 Sandro Bonazzola 2015-06-23 14:04:35 UTC
Failing QA: File /usr/lib/python2.7/site-packages/mock-{0.8.0|1.0.1}-py2.7.egg-info relaxed permissions from 0644 to 0755 on noarch

Comment 5 Sandro Bonazzola 2015-06-25 12:45:17 UTC
Moving back to QA, /usr/lib/python2.7/site-packages/mock-{0.8.0|1.0.1}-py2.7.egg-info is actually a directory so 0755 is perfectly fine.

Comment 6 Pavol Brilla 2015-11-26 12:40:37 UTC
Available Packages
Name        : python-mock
Arch        : noarch
Version     : 1.0.1
Release     : 5.el7ev
Size        : 91 k
Repo        : 3.6.0-30/7Server

Comment 8 errata-xmlrpc 2016-03-09 20:13:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0394.html


Note You need to log in before you can comment on or make changes to this bug.